4 Replies Latest reply on Feb 24, 2018 7:21 AM by jcesarmobile_

    Anyone managed to build cordova-plugin-photo-library to iOS?

    andreash48633853 Level 1

      I can't build my app (which is using cordova-plugin-photo-library) to iOs. Android build succeeds. I'm getting this error in the log file:

       

      Check dependencies
      The “Swift Language Version” (SWIFT_VERSION) build setting must be set to a supported value for targets which use Swift. This setting can be set in the build settings editor.
      The “Swift Language Version” (SWIFT_VERSION) build setting must be set to a supported value for targets which use Swift. This setting can be set in the build settings editor.
      
      ** ARCHIVE FAILED **
      
      
      The following build commands failed:
      Check dependencies
      (1 failure)
      

       

       

      I've searched on this particular error, and it seems like other has gotten this error as well, but no solution. The most helpful answers I've found are these:

       

      The plugin using Swift is cordova-plugin-photo-library,

       

      I've just checked and Phonegap Builds allows you to set the Swift version using this preference in the config.xml

       

      <preference name="swift-version" value="3.0" />

       

      The values allowed are 2.3 or 3.0. I think the problem is Phonegap Build has been updated a few days ago to use Xcode 9, and Xcode 9 doesn't support those versions. You can try to set it to 3.2 as it's the equivalent to 3.0. If it doesn't work you should report it to Phonegap Build team so they allow the new Xcode 9 values (3.2 or 4.0)

       

      I don't even know what Swift is.... And some posts I've seen talk about hooks, and how this plugin is dependent on cordova-plugin-add-swift (or something similar...) which is using hooks. And hooks is not supported in Phonegap Build, from what I've read.

       

      How can I go on with this issue? Is this a Phonegap Build bug? Should I post an issue to the Phonegap team? And how do I do that?

       

      Here is one of the threads I've been reading:

       

      https://forums.adobe.com/thread/2437605

       

      Hoping for help